current_datetime=$(date '+%Y-%m-%d %H:%M:%S')

if [ -n "${1}" ]; then
  msg="[${current_datetime}] ${1}"
else  
  msg="[${current_datetime}] 手工备份"
fi
echo -e "备份说明：${msg}\n"
echo -e "** 如果是第一次备份或者文件夹的内容变化比较多，备份所需的时间可能会很长。请耐心等候 ***\n"

cur_path=$(dirname $(readlink -f "$0"))
pushd "${cur_path}" > /dev/null

# 把linux路径改为DOS形式，注意echo使用了-e参数，所以路径中的\要用连续两个\\来表示
t1=${cur_path#/} #删除第一个/
t2=${t1/\//:\\\\} #把第一个/，即驱动器后面的/，替换成:\\
dos_path=${t2//\//\\\\} #把所有的/替换成\\
echo -e "开始备份 ${dos_path}\n"

echo -e "检查文件变动\n"
git add . >/dev/null

echo -e "记录文件变动\n"
git commit -m "${msg}" >/dev/null

echo -e "保存到服务器\n"
git push --quiet

popd > /dev/null

sleep 1